#############################################################
############## CONFIGURACION POSTFIX ########################
#############################################################

#############################################################
######## PARAMETROS GENERALES ###############################
#############################################################

# Directorio en donde se encuentran los archivos README de Postfix
# que describen como compilar, configurar y operar Postfix.
readme_directory = /usr/share/doc/postfix

# Banner SMTP con el que se anunca el servidor
smtpd_banner = $myhostname ESMTP $mail_name (Ubuntu)

# Limites para tamaño de mensaje (bytes)
message_size_limit = 10240000

# Delimitador para extensiones de nombres de correo
recipient_delimiter = +

# Notificar al remitente de que el correo no se ha enviado
# despues de X horas desde que se envio. (default: 5d)
delay_warning_time = 3h

# Timpo maximo en que un mensaje rebotado puede estar encolado
# antes de que se cosidere como undeliverable.
bounce_queue_lifetime = 5h

# Tiempo maximo en que un mensaje es encolado antes de que se envie
# de regreso al remitente como undeliverable. (default: 5d)
maximal_queue_lifetime = 8h

#############################################################
######## NOMBRES DE HOST Y DOMINIOS #########################
#############################################################

# Nombre del Host FQDN
myhostname = {{ inventory_hostname }}

# Nombre de dominio origen para correos generals localmente
myorigin = {{ postfix_relay_domain }}

# Dominios locales en los que recibimos correo
# No recibimos correo local, no listar los dominios virtuales aqui
mydestination =

# Mapeo de transportes:
# Los mapas de transportes definen un nombre de dominio
# y su destino final
#transport_maps = hash:/etc/postfix/transport

#############################################################
####### PARAMETROS DE RED y CONTROLES DE ACCESO #############
#############################################################

# Interfaces de red en las que escucha peticiones
inet_interfaces = all
# Redes locales de confianza
mynetworks = 127.0.0.0/8

#############################################################
############### PARAMETROS DE SEGURIDAD #####################
#############################################################

############### PARAMETROS TLS/SSL ##########################

# Parametros TLS del Servidor SMTP: smtpd(8).
#smtpd_use_tls=yes
#smtpd_tls_cert_file = /etc/postfix/ssl/{{ ansible_ssh_host }}.crt
#smtpd_tls_key_file = /etc/postfix/ssl/{{ ansible_ssh_host }}.key
#smtpd_tls_CAfile = /etc/postfix/ssl/ca.crt
#smtpd_tls_loglevel = 1
#smtpd_tls_received_header = yes
#smtpd_tls_session_cache_database = btree:${data_directory}/smtpd_scache
#smtpd_tls_session_cache_timeout = 3600s
#smtpd_tls_auth_only = no

# Parametros TLS del Cliente SMTP: smtp(8).
#smtp_use_tls = yes
#smtp_enforce_tls = no
#smtp_tls_cert_file = /etc/postfix/ssl/{{ ansible_ssh_host }}.crt
#smtp_tls_key_file = /etc/postfix/ssl/{{ ansible_ssh_host }}.key
#smtp_tls_CAfile = /etc/postfix/ssl/ca.crt
#smtp_tls_CAfile = /etc/ssl/certs/ca-certificates.crt
#smtp_tls_session_cache_database = btree:${data_directory}/smtp_scache

############### PARAMETROS SASL #############################

# Parametros SASL del Servidor SMTP: smtpd(8).
#smtpd_sasl_auth_enable = yes
#smtpd_sasl_security_options = noanonymous
#smtpd_sasl_local_domain =
#smtpd_sasl_authenticated_header = yes
#broken_sasl_auth_clients = no

#############################################################
####### PARAMETROS DE REGISTRO DE EVENTOS: LOGS #############
#############################################################

# Registrar todo tipo de eventos
#notify_classes = delay, policy, protocol, resource, software
#notify_classes = delay, resource, software

#############################################################
####### PARAMETROS DE RELAY Y TRANSPORTE ####################
#############################################################

# Alias para correo local(8)
alias_maps = hash:/etc/aliases
alias_database = hash:/etc/aliases

# Servidor Relay
relayhost = [mailrelay.{{ dns_private_domain }}]:25

# Rewrite outgoing addresses
smtp_generic_maps = hash:/etc/postfix/generic

#############################################################
############### RESTRICCIONES SMTPD #########################
#############################################################

#smtpd_delay_reject = no

# Restricciones a Clientes SMTP (IP y Hostname)
# Desactivado ya que se evalua en recipient restrictions
#
# smtpd_client_restrictions =

# El servidor smtpd requiere que un helo
smtpd_helo_required = yes

# Restricciones a Sender SMTP
# Desactivado ya que se evalua en recipient restrictions
#
# smtpd_sender_restrictions =

# Desactivar pruebas de descubrimiento de cuentas
disable_vrfy_command = yes

# Restricciones Recipientes
smtpd_recipient_restrictions =
        permit_mynetworks,
        reject_unauth_destination,
        permit

# Restricciones para etapa de revision datos
smtpd_data_restrictions =
        reject_unauth_pipelining,
        permit
